Module java.naming
Package javax.naming

# Class NamingSecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.NamingSecurityException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthenticationException`, `AuthenticationNotSupportedException`, `NoPermissionException`

public abstract class NamingSecurityException extends NamingException
This is the superclass of security-related exceptions thrown by operations in the Context and DirContext interfaces. The nature of the failure is described by the name of the subclass.

If the program wants to handle this exception in particular, it should catch NamingSecurityException explicitly before attempting to catch NamingException. A program might want to do this, for example, if it wants to treat security-related exceptions specially from other sorts of naming exception.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class javax.naming.NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamingSecurityException()`
  Constructs a new instance of NamingSecurityException.
  `NamingSecurityException(String explanation)`
  Constructs a new instance of NamingSecurityException using the explanation supplied.

- ## Method Summary

  ### Methods declared in class javax.naming.NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NamingSecurityException

    public NamingSecurityException(String explanation)
    Constructs a new instance of NamingSecurityException using the explanation supplied. All other fields default to null.
    Parameters:
      `explanation` - Possibly null additional detail about this exception.
    See Also:
      - `Throwable.getMessage()`

  - ### NamingSecurityException

    public NamingSecurityException()
    Constructs a new instance of NamingSecurityException. All fields are initialized to null.